﻿using System;
using System.Collections.Generic;
using System.Text;

namespace heohelper
{
    [AttributeUsage(AttributeTargets.Property | AttributeTargets.Field, Inherited = false, AllowMultiple = false)]
    public class RegisterAttribute : Attribute
    {
        readonly byte address;
        readonly byte length;
        //readonly string name;

        public RegisterAttribute(byte address/*, string name*/, byte length)
        {
            this.address = address;
            //this.name = name;
            this.length = length;
        }

        public byte Address
        {
            get { return address; }
        }
        /*
        public string Name
        {
            get { return name; }
        }*/

        public byte Length
        {
            get { return length; }
        }
    }
}
